CINDEX(1)

NAME
cindex - prepares the trigram index for csearch(1)

SYNOPSIS
cindex [-list] [-reset] [ path... ]

DESCRIPTION
Cindex prepares the trigram index for use by csearch. The index is the file named by $CSEARCHINDEX, or else $HOME/.csearchindex. The simplest invocation is
    cindex path...
which adds the file or directory tree named by each path to the index. For example:
    cindex $HOME/src /usr/include
or, equivalently:
    cindex $HOME/src
    cindex /usr/include
If cindex is invoked with no paths, it reindexes the paths that have already been added, in case the files have changed. Thus, 'cindex' by itself is a useful command to run in a nightly cron job. The -list flag causes cindex to list the paths it has indexed and exit. By default cindex adds the named paths to the index but preserves information about other paths that might already be indexed (the ones printed by cindex -list). The -reset flag causes cindex to delete the existing index before indexing the new paths. With no path arguments, cindex -reset removes the index.

OPTIONS

-list
    List the indexed paths and exit.

-reset
    Delete the existing index before indexing the new paths. With no path arguments, -reset removes the index.

ENVIRONMENT
Cindex uses the index stored in $CSEARCHINDEX or, if that variable is unset or empty, $HOME/.csearchindex. Furthermore, cindex honors the standard TMPDIR environment variable when creating its temporary files. In case the temporary files exceed the space you have in /tmp, possibly because /tmp is a tmpfs and thus using your RAM, feel free to set TMPDIR to a different path than /tmp.

SEE ALSO
csearch(1), cgrep(1).

AUTHOR

This manual page was written by Michael Stapelberg <stapelberg@debian.org>, for the Debian project (and may be used by others).